org.eclipse.gef.commands

## Interface CommandStackEventListener

    public interface CommandStackEventListener

A listener interface for receiving notification before and after commands are executed, undone, or redone.

Since:
  3.1

### Method Summary

Methods
`void` `stackChanged(CommandStackEvent event)` Sent when an event occurs on the command stack.

### Method Detail

#### stackChanged

    void stackChanged(CommandStackEvent event)

Sent when an event occurs on the command stack. `CommandStackEvent.getDetail()` can be used to identify the type of event which has occurred.

Parameters:
  `event` - the event
Since:
  3.1